#include <iostream>
using namespace std;
int main()
{
	int a, b, c, cif1, cif2, cif3, najv, najm, sr, najvbr, najmbr, srbr;
	cin>>a>>b>>c;
	cif1=a;
	cif2=b;
	cif3=c;
	while(cif1>9)
     	cif1=cif1/10;
    while(cif2>9)
        cif2=cif2/10;
    while(cif3>9)
        cif3=cif3/10;
    if(cif1>=cif2)
    {
    	najv=cif1;
    	najm=cif2;
    	if((cif3>=najv)&&(cif3>=najm))
    	{
    		najvbr=c;
    		srbr=a;
    		najmbr=b;
		}
		else if((cif3<=najv)&&(cif3>=najm))
		{
			najvbr=a;
			srbr=c;
			najmbr=b;
		}
		else if((cif3<=najv)&&(cif3<=najm))
		{
			najvbr=a;
			srbr=b;
			najmbr=c;
		}
	}
	else
	{
		najv=cif2;
		najm=cif1;
		if((cif3>=najv)&&(cif3>=najm))
		{
			najvbr=c;
			srbr=b;
			najmbr=a;
		}
		else if((cif3<=najv)&&(cif3>=najm))
		{
			najvbr=b;
			srbr=c;
			najmbr=a;
		}
		else if((cif3<=najv)&&(cif3<=najm))
		{
			najvbr=b;
			srbr=a;
			najmbr=c;
		}
	}
	cout<<najvbr<<srbr<<najmbr<<endl;
	return 0;
}